# EventScripts Minecraft Example
# Copyright 2011, Mattie Casper
#
# sticks.py
# Leaves should randomly drop sticks when they die, right?
#

import esm
from java.util import Random
from org.bukkit.inventory import ItemStack

stick1_percent = 10
stick2_percent =  3

def block_break(event):
    if (event.block.typeid==esm.items.leaves):
        dice = Random().nextInt() % 100
        if dice >= 100 - stick1_percent:
            _dropStick(event.block)
        if dice >= 100 - stick2_percent:
            _dropStick(event.block)
    return True

def _dropStick(block):
    esm.world.dropItemNaturally(block.getLocation(), ItemStack(esm.items.stick, 1))
