# EventScripts Minecraft Example
# Copyright 2010, Mattie Casper
#
# magicpants.py
#   Allows redstone trail behind magic pants (i.e. Redcrumbs)
# NOTE: Unused right now.

import esm
from esm import items
import magicitems
import utils
reload(utils)
from utils import *
from java.util import Random
import time

goodspots = [items.stone, items.grass, items.dirt, items.cobblestone, items.wood, items.bedrock,
             items.sand, items.gravel, items.goldore, items.ironore, items.coalore, items.diamondore, items.redstoneore,
             items.ironblock, items.goldblock, items.diamondblock, items.obsidian, items.tree, items.brickblock,
             items.tnt, items.bookshelf, items.mossy, items.snowblock, items.clayblock, items.netherstone,
             items.slowsand, items.lightstone, items.leaves]
costperstep = 1.1

class MagicPants():
    def __init__(self, cfg):
        self.prepaid = {}
        self.cost = cfg.getDouble("magicpants-redcrumbs-cost-percentage", 0.1)
    # TODO: Fix this because it's broken due to MC Beta.
    #  Not very useful anyway really
    def useRedcrumbs(self, player, loc):
        if isPlayerWearing(player, items.goldpants):
            bl = esm.server.getBlockAt(int(loc.x), int(loc.y), int(loc.z))
            bl2 = esm.server.getBlockAt(int(loc.x), int(loc.y)-1, int(loc.z))
            if bl.getType() == items.air and (bl2.getType() in goodspots):
                if self._handleCosts(player):
                    bl.setType(items.redstonewire)
                    bl.update()
    def _handleCosts(self, player):
        name = player.getName()
        if name in self.prepaid:
            self.prepaid[name]-=1
            if self.prepaid[name] < 1:
                del self.prepaid[name]
            return True
        else:
            inv = player.getCraftingTable()
            if isRedstoneCostAvailable(player, 1, inv):
                red = inv.getItemFromId(items.redstonedust, 64)
                self.prepaid[name] = int(red.getAmount() / (1.0+self.cost))-1
                esm.output(str(self.prepaid[name]))
                inv.removeItem(red.getSlot())
                inv.updateInventory()
                return True
        return False

