# EventScripts Minecraft Example
# Copyright 2011, Mattie Casper
#
# magicshovel.py
#   Allows rapid mining of gravel and sand
#
import esm
from utils import *
from org.bukkit.inventory import ItemStack
from org.bukkit.craftbukkit.entity import CraftBoat

class MagicRod():
    def __init__(self, cfg):
        self.cost = cfg.getInt("magicrod-fishingtrip-cost-per-activation", 20)

    def useFishingTrip(self, player, block):
        if block.typeid == esm.items.torch:
            if block.getRelative(0, 1, 0).getTypeId() == esm.items.air:
                for j in esm.server.getOnlinePlayers():
                    if j.getItemInHand().getTypeId() == items.rawfish:
                        if j.isInsideVehicle():
                            if esm.isInstance(j.getVehicle(), CraftBoat):
                                if spendRedstone(player, 20):
                                    j.leaveVehicle()
                                    j.teleportTo(block.getLocation())
                                    j.setItemInHand(ItemStack(esm.items.cookedfish, 1))
                                else:
                                    health = player.getHealth()
                                    if health > 1:
                                        player.health = health - 1
                                break
            block.typeid = esm.items.air
            return False
        return True



